#pragma once

#include "CoreMinimal.h"
#include "BehaviourIncentiveDataBase.h"
#include "BehaviourIncentiveData_ImposeStatusEffect.generated.h"

USTRUCT(BlueprintType)
struct FBehaviourIncentiveData_ImposeStatusEffect : public FBehaviourIncentiveDataBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	float Lifetime;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	float CustomParam;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool ShouldDisplay;

public:
	DEADBYDAYLIGHT_API FBehaviourIncentiveData_ImposeStatusEffect();
};

FORCEINLINE uint32 GetTypeHash(const FBehaviourIncentiveData_ImposeStatusEffect) { return 0; }
